Bug 490354

Summary: Review Request: emacs-elib - The Emacs Lisp Library
Product: [Fedora] Fedora Reporter: Dan Atmakin <beolnix>
Component: Package ReviewAssignee: Jochen Schmitt <jochen>
Status: CLOSED NEXTRELEASE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: low    
Version: rawhideCC: fedora-package-review, jochen, notting
Target Milestone: ---Flags: jochen: fedora‑review?
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2009-10-12 07:04:28 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On:    
Bug Blocks: 490355    

Description Dan Atmakin 2009-03-15 13:11:38 EDT
Spec URL: http://dev.sgu.ru/b/SPECS/emacs-elib.spec
SRPM URL: http://dev.sgu.ru/b/SRPMS/emacs-elib-1.0-1.fc10.src.rpm
Description: Elib, the GNU Emacs lisp library, is a collection of elisp functions which you can use as parts of your own elisp programs. Each file contains functions which have something in common, e.g. they handle a certain data type.
Comment 1 Jochen Schmitt 2009-05-17 15:33:36 EDT
Good:
+ Package name matches naming guildlines
+ Buildroot will be cleaned at the beginning of %clean and %install
* Specification of the Buildroot is ok.

Bad:
- Basename of the SPEC file doesn't machtes package name
- URL doesn't shows on proper project homepage
- Source doesn't contains full qualified URL
- Please change BuildArchitecures into BuildArch:
- Source are not in separe el subpackage
  (/Packaging/Emacs#Packaging_of_source_elisp_files)
- Specification of the installation destination on fullfill Emace
  Packaging guulldline
  (/Packaging/Emacs#GNU_Emacs)
- Package doesn't contains correct Changelog
  you have to specified version-release on it

 
Your package seems to need a lot of love. I want to suggest that you should
read the packaging guildlines and the guildlines for emacs packages carefully.

If you can demonstrate in your next approach, that you have understand this 
guildlines, I may be willing to sponsor you.
Comment 2 Jochen Schmitt 2009-06-03 13:29:09 EDT
Ping Dan.
Comment 3 Dan Atmakin 2009-06-03 13:48:01 EDT
Thanks for review, Jochen. Sorry for delay. Your remarks is really important but i can't rebuild srpm right now. I'll try to rebuild rpm according with gnuemacs packaging gudelines in the near future.